From 008ae9631f76509e225b395d56639f0be8a66551 Mon Sep 17 00:00:00 2001
From: Anatoly Pugachev <matorola@gmail.com>
Date: Sun, 18 Aug 2019 15:00:04 +0300
Subject: [PATCH] tests: Skip fdisk/mbr-nondos-mode on Sparc as unsupported.

fdisk non-dos mode tests are not suited (written) for sparc,
since default fdisk partition table on sparc is 'sun'.
So disable this test on sparc.

Signed-off-by: Anatoly Pugachev <matorola@gmail.com>
---
 tests/ts/fdisk/mbr-nondos-mode | 1 +
 1 file changed, 1 insertion(+)

diff --git a/tests/ts/fdisk/mbr-nondos-mode b/tests/ts/fdisk/mbr-nondos-mode
index d3b35fa39..7696ce957 100755
--- a/tests/ts/fdisk/mbr-nondos-mode
+++ b/tests/ts/fdisk/mbr-nondos-mode
@@ -42,6 +42,7 @@ ARCH=$(uname -m)
 case $ARCH in
 	*sparc* )
 		ARCH_EXT=".sparc"
+		ts_skip "unsupported"
 		;;
 	*)
 		ARCH_EXT=""
-- 
2.23.0.rc1

